ImpliedFromElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class ImpliedFromElement

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.FromElement
                              org.hibernate.hql.internal.ast.tree.ImpliedFromElement

All Implemented Interfaces:
  antlr.collections.AST, Serializable, DisplayableNode, InitializeableNode, ParameterContainer

    public class ImpliedFromElement

extends FromElement

Represents a FROM element implied by a path expression or a collection reference.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.hql.internal.ast.tree.FromElement
`DISCRIMINATOR_PROPERTY_NAME`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`ImpliedFromElement()`

Method Summary
`String` | `getDisplayText()` Returns additional display text for the AST node.
`boolean` | `inProjectionList()`
`boolean` | `isImplied()` Returns true if this FromElement was implied by a path, or false if this FROM element is explicitly declared in the FROM clause.
`boolean` | `isImpliedInFromClause()`
`boolean` | `isIncludeSubclasses()`
`void` | `setImpliedInFromClause(boolean flag)`
`void` | `setInProjectionList(boolean inProjectionList)`

Methods inherited from class org.hibernate.hql.internal.ast.tree.FromElement
`addEmbeddedParameter, appendDisplayText, equals, getClassAlias, getClassName, getCollectionSuffix, getCollectionTableAlias, getDataType, getDestinations, getEmbeddedParameters, getEntityPersister, getFromClause, getIdentityColumn, getIdentityColumns, getIndexCollectionSelectorParamSpec, getJoinSequence, getOrigin, getPropertyMapping, getPropertyType, getQueryable, getQueryableCollection, getRealOrigin, getSelectType, getSequence, getTableAlias, getTypeDiscriminatorMetadata, getWithClauseFragment, getWithClauseJoinAlias, handlePropertyBeingDereferenced, hasCacheablePersister, hasEmbeddedParameters, hashCode, initializeCollection, initializeComponentJoin, initializeEntity, isAllPropertyFetch, isCollectionJoin, isCollectionOfValuesOrComponents, isDereferencedBySubclassProperty, isDereferencedBySuperclassOrSubclassProperty, isDereferencedBySuperclassProperty, isEntity, isFetch, isFilter, isFromOrJoinFragment, isManyToMany, setAllPropertyFetch, setCollectionJoin, setCollectionSuffix, setCollectionTableAlias, setColumns, setFetch, setFilter, setIncludeSubclasses, setIndexCollectionSelectorParamSpec, setJoinSequence, setOrigin, setQueryableCollection, setRole, setUseFromFragment, setUseWhereFragment, setWithClauseFragment, toColumns, toColumns, useFromFragment, useWhereFragment`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.ParameterContainer
`setText`

Constructor Detail

### ImpliedFromElement

    public ImpliedFromElement()

Method Detail

### isImplied

    public boolean isImplied()

  Description copied from class: `FromElement`
  Returns true if this FromElement was implied by a path, or false if this FROM element is explicitly declared in the FROM clause.

  Overrides:
    `isImplied` in class `FromElement`
  Returns:
    true if this FromElement was implied by a path, or false if this FROM element is explicitly declared

### setImpliedInFromClause

    public void setImpliedInFromClause(boolean flag)

  Overrides:
    `setImpliedInFromClause` in class `FromElement`

### isImpliedInFromClause

    public boolean isImpliedInFromClause()

  Overrides:
    `isImpliedInFromClause` in class `FromElement`

### setInProjectionList

    public void setInProjectionList(boolean inProjectionList)

  Overrides:
    `setInProjectionList` in class `FromElement`

### inProjectionList

    public boolean inProjectionList()

  Overrides:
    `inProjectionList` in class `FromElement`

### isIncludeSubclasses

    public boolean isIncludeSubclasses()

  Overrides:
    `isIncludeSubclasses` in class `FromElement`

### getDisplayText

    public String getDisplayText()

  Returns additional display text for the AST node.

  Specified by:
    `getDisplayText` in interface `DisplayableNode`
  Overrides:
    `getDisplayText` in class `FromElement`
  Returns:
    String - The additional display text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.